Package: groovy.grape

## [Java] Class GrabAnnotationTransformation

- groovy.grape.GrabAnnotationTransformation

- All Implemented Interfaces and Traits:
    ASTTransformation, CompilationUnitAware

      public class GrabAnnotationTransformation
      extends ClassCodeVisitorSupport
      implements ASTTransformation, CompilationUnitAware

  Transformation for declarative dependency management.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public SourceUnit` | `getSourceUnit()` * Provides access to the SourceUnit for error reporting during visitation. * Implementations must override this method. * * Returns: the source unit for this visitor
    `` | `public void` | `setCompilationUnit(CompilationUnit compilationUnit)` * Sets the compilation unit currently applying this transformation. * * Parameters: `unit` - the active compilation unit
    `` | `public void` | `visit(ASTNode[] nodes, SourceUnit source)` Visits the source module and processes supported Grape annotations.
    `` | `public void` | `visitAnnotations(AnnotatedNode node)` Adds the annotation to the internal target list if a match is found.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `addError, getSourceUnit, visitAnnotation, visitAnnotations, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitClosureExpression, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitStatementAnnotations, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`
    `class CodeVisitorSupport` | `afterSwitchCaseStatementsVisited, afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

- - ### Method Detail

    - #### public SourceUnit getSourceUnit()

      * Provides access to the SourceUnit for error reporting during visitation. * Implementations must override this method. * *

      Returns:
        the source unit for this visitor

    - #### public void setCompilationUnit(CompilationUnit compilationUnit)

      * Sets the compilation unit currently applying this transformation. * *

      Parameters:
        `unit` - the active compilation unit

    - #### public void visit(ASTNode[] nodes, SourceUnit source)

      Visits the source module and processes supported Grape annotations.

      Parameters:
        `nodes` - the AST nodes to process
        `source` - the source unit being transformed

    - #### public void visitAnnotations(AnnotatedNode node)

      Adds the annotation to the internal target list if a match is found.

      Parameters:
        `node` - the AST node we are processing